<?php

//insert here your credentials
$shopwareUrl = "***Your Shop Url***"; //example: http://localhost
$hash="***Your Hash***"; //example: WeLoveShopware!
$sqlCommand = "SELECT id, stock, available_stock FROM product;";

$shopwareConnection = new shopwareBase();
$shopwareConnection->url = $shopwareUrl;

$payload = array();
$payload['hash'] = $hash;
$payload['cmds'] = $sqlCommand;
$response = $shopwareConnection->sendRequest($payload);

//show response
echo '<pre>';
print_r(json_decode($response, 1));
echo '</pre>';
die();

class shopwareBase
{
    public $url;
    public $clientId;
    public $clientSecret;

    public function sendRequest($payload)
    {
        $ch = curl_init($this->url . '/api/kzphSqlApi/execute');

        curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type: application/json'));
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

        curl_setopt($ch, CURLOPT_POST, 1);
        curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload));

        curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
        curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
        $response = curl_exec($ch);
        curl_close($ch);

        return $response;
    }
}