<?php

//insert here your credentials
$shopwareUrl = "***Your Shop Url***"; //example: http://localhost
$clientId = "***Your Client ID***"; // example: SWIACEO3OXHJNHI0SEDSAWDKWQ
$clientSecret = "***Your Client Secret***"; // example: NnV2NkN0SlhGdlA1NzJWQWhkRnRrV0p4WHlvZWhja3FGTzB5QTQ
$sqlCommand = "SELECT id, stock, available_stock FROM product;";

$shopwareConnection = new shopwareBase();
$shopwareConnection->url = $shopwareUrl;
$shopwareConnection->clientId = $clientId;
$shopwareConnection->clientSecret = $clientSecret;

$payload = array();
$payload['cmds'] = $sqlCommand;
$response = $shopwareConnection->sendRequest($payload);

//show response
echo '<pre>';
print_r(json_decode($response, 1));
echo '</pre>';
die();

class shopwareBase
{
    public $url;
    public $clientId;
    public $clientSecret;

    private function getToken()
    {
        //SW6 - get token:
        $shopwareOAuthUrl = $this->url . '/api/oauth/token';
        $post = [
            'grant_type' => 'client_credentials',
            'client_id' => $this->clientId,
            'client_secret' => $this->clientSecret
        ];

        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, $shopwareOAuthUrl);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($post));
        curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
        $response = curl_exec($ch);

        if(!$response)
            die('Error: no token could be loaded!');

        $token = json_decode($response)->access_token;
        return $token;
    }

    public function sendRequest($payload)
    {
        $token = $this->getToken();
        $ch = curl_init($this->url . '/api/kzphSqlApi/executeWithIntegration');

        $authorization = "Authorization: Bearer " . $token;
        curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type: application/json', $authorization));
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

        curl_setopt($ch, CURLOPT_POST, 1);
        curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload));

        curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
        curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
        $response = curl_exec($ch);
        curl_close($ch);

        return $response;
    }
}